# MPI_Comm_set_errhandler

## NAME

MPI_Comm_set_errhandler − Attaches a new error handler to a communicator.

## SYNTAX

## C Syntax

#include <mpi.h>
int MPI_Comm_set_errhandler(MPI_Comm comm,

|  | MPI_Errhandler errhandler)

## Fortran Syntax

INCLUDE ’mpif.h’
MPI_COMM_SET_ERRHANDLER(COMM, ERRHANDLER, IERROR)

| INTEGER |  |  | COMM, ERRHANDLER, IERROR

## C++ Syntax

#include <mpi.h>
void MPI::Comm::Set_errhandler(const MPI::Errhandler& errhandler)

## INPUT/OUTPUT PARAMETER

| comm |  | Communicator (handle). |

## OUTPUT PARAMETERS

errhandler

New error handler for communicator (handle).

| IERROR |  | Fortran only: Error status (integer). |

## DESCRIPTION

MPI_Comm_set_errhandler attaches a new error handler to a communicator. The error handler must be either a predefined error handler or an error handler created by a call to MPI_Comm_create_errhandler. This call is identical to MPI_Errhandler_set, the use of which is deprecated.

## ERRORS

Almost all MPI routines return an error value; C routines as the value of the function and Fortran routines in the last argument. C++ functions do not return errors. If the default error handler is set to MPI::ERRORS_THROW_EXCEPTIONS, then on error the C++ exception mechanism will be used to throw an MPI:Exception object.

Before the error value is returned, the current MPI error handler is called. By default, this error handler aborts the MPI job, except for I/O function errors. The error handler may be changed with MPI_Comm_set_errhandler; the predefined error handler MPI_ERRORS_RETURN may be used to cause error values to be returned. Note that MPI does not guarantee that an MPI program can continue past an error.

MPI API Index